Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2849713003: Move all Page Info strings into page_info_strings.grdp (Closed)

Created:
2 years ago by lgarron
Modified:
2 years ago
Reviewers:
mthiesse, estark
CC:
chromium-reviews, lgarron+watch_chromium.org, raymes+watch_chromium.org, sdefresne, srahim+watch_chromium.org, tfarina
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Move all Page Info strings into page_info_strings.grdp This CL does the following: - Move strings into page_info_strings.grdp - Organize the strings into sections with comment headings, based on the order and role they have in the UI. - Remove old "chrome/grit/generated_resources.h" includes in C++ files where possible. - Replace IDS_PAGE_INFO_TITLE_SITE_DATA with IDS_PAGE_INFO_COOKIES (crbug.com/716296) - Remove dead strings and their associated code (crbug.com/709701) - Rename remaining IDS_PAGEINFO_* strings to IDS_PAGE_INFO_* (crbug.com/716305) - Unfork IDS_PAGE_INFO_NON_SECURE_TRANSPORT into IDS_PAGEINFO_NOT_SECURE_SUMMARY (crbug.com/716296) BUG=663975, 709701, 716296, 716296, 716305 TBR=meacer@chromium.org, asanka@chromium.org, kkhorimoto@chromium.org Review-Url: https://codereview.chromium.org/2849713003 Cr-Commit-Position: refs/heads/master@{#469190} Committed: https://chromium.googlesource.com/chromium/src/+/fc1d5e5df6ef53ecc87135178352b22665296c3a

Patch Set 1 #

Patch Set 2 : IDS_PAGE_INFO_NON_SECURE_TRANSPORT -> IDS_PAGEINFO_NOT_SECURE_SUMMARY #

Total comments: 5

Patch Set 3 : Remove include. #

Patch Set 4 : Move all Page Info strings into page_info_strings.grdp #

Patch Set 5 : Update WebVR page info string include. #

Patch Set 6 : Consolidate. #

Total comments: 1

Patch Set 7 : Rebase some more. #

Patch Set 8 : Fix moar. #

Patch Set 9 : Fix moar. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+343 lines, -359 lines) Patch
M chrome/app/chromium_strings.grd View 1 chunk +0 lines, -5 lines 0 comments Download
M chrome/app/generated_resources.grd View 1 2 3 3 chunks +0 lines, -154 lines 0 comments Download
M chrome/app/google_chrome_strings.grd View 1 chunk +0 lines, -5 lines 0 comments Download
M chrome/browser/android/vr_shell/textures/insecure_content_permanent_texture.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/android/vr_shell/textures/insecure_content_transient_texture.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/android/page_info/connection_info_popup_android.cc View 1 2 3 4 5 6 7 8 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/browser/ui/cocoa/page_info/page_info_bubble_controller.mm View 1 2 3 4 5 1 chunk +6 lines, -6 lines 0 comments Download
M chrome/browser/ui/login/login_handler.cc View 1 2 3 4 5 6 1 chunk +1 line, -2 lines 0 comments Download
M chrome/browser/ui/login/login_handler_unittest.cc View 1 2 3 4 5 6 7 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/page_info/page_info.cc View 1 2 3 4 5 3 chunks +5 lines, -7 lines 0 comments Download
M chrome/browser/ui/page_info/page_info_infobar_delegate.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/page_info/page_info_ui.h View 1 2 3 4 5 1 chunk +0 lines, -5 lines 0 comments Download
M chrome/browser/ui/page_info/page_info_ui.cc View 1 2 3 4 5 2 chunks +17 lines, -31 lines 0 comments Download
M chrome/browser/ui/page_info/permission_menu_model.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/views/certificate_selector.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/views/page_info/page_info_bubble_view.cc View 1 2 3 4 5 2 chunks +3 lines, -3 lines 0 comments Download
M components/components_chromium_strings.grd View 1 chunk +5 lines, -1 line 0 comments Download
M components/components_google_chrome_strings.grd View 1 chunk +5 lines, -1 line 0 comments Download
M components/components_strings.grd View 1 chunk +0 lines, -5 lines 0 comments Download
M components/page_info_strings.grdp View 1 2 3 4 5 6 7 1 chunk +280 lines, -114 lines 0 comments Download
M ios/chrome/browser/ui/dialogs/nsurl_protection_space_util.mm View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/ui/dialogs/nsurl_protection_space_util_unittest.mm View 1 2 3 4 5 6 4 chunks +4 lines, -4 lines 0 comments Download
M ios/chrome/browser/ui/omnibox/page_info_model.cc View 1 2 3 4 5 6 3 chunks +8 lines, -8 lines 0 comments Download

Messages

Total messages: 53 (41 generated)
lgarron
estark@, could you review?
2 years ago (2017-04-28 02:45:36 UTC) #3
estark
lgtm with a couple questions and red bots https://codereview.chromium.org/2849713003/diff/20001/chrome/browser/ui/page_info/page_info.cc File chrome/browser/ui/page_info/page_info.cc (right): https://codereview.chromium.org/2849713003/diff/20001/chrome/browser/ui/page_info/page_info.cc#newcode48 chrome/browser/ui/page_info/page_info.cc:48: #include ...
2 years ago (2017-04-28 05:05:25 UTC) #10
lgarron
https://codereview.chromium.org/2849713003/diff/20001/chrome/browser/ui/page_info/page_info.cc File chrome/browser/ui/page_info/page_info.cc (right): https://codereview.chromium.org/2849713003/diff/20001/chrome/browser/ui/page_info/page_info.cc#newcode48 chrome/browser/ui/page_info/page_info.cc:48: #include "chrome/grit/generated_resources.h" On 2017/04/28 at 05:05:25, estark wrote: > ...
2 years ago (2017-04-28 22:04:32 UTC) #11
lgarron
tfarina@, could you advise on how to handle segments of strings that are currently not ...
2 years ago (2017-04-28 22:16:15 UTC) #13
tfarina
https://codereview.chromium.org/2849713003/diff/20001/components/page_info_strings.grdp File components/page_info_strings.grdp (right): https://codereview.chromium.org/2849713003/diff/20001/components/page_info_strings.grdp#newcode24 components/page_info_strings.grdp:24: <!-- Internal page summary strings --> On 2017/04/28 22:04:32, ...
2 years ago (2017-04-29 17:53:12 UTC) #15
lgarron
On 2017/04/29 at 17:53:12, tfarina wrote: > https://codereview.chromium.org/2849713003/diff/20001/components/page_info_strings.grdp > File components/page_info_strings.grdp (right): > > https://codereview.chromium.org/2849713003/diff/20001/components/page_info_strings.grdp#newcode24 ...
2 years ago (2017-05-01 18:48:48 UTC) #16
tfarina
On 2017/05/01 18:48:48, lgarron wrote: > On 2017/04/29 at 17:53:12, tfarina wrote: > > > ...
2 years ago (2017-05-01 20:04:09 UTC) #19
sdefresne
On 2017/05/01 20:04:09, tfarina wrote: > On 2017/05/01 18:48:48, lgarron wrote: > > On 2017/04/29 ...
2 years ago (2017-05-02 12:56:36 UTC) #20
lgarron
mthiesse@, could you review the WebVR header include change? estark@: I don't have all week ...
2 years ago (2017-05-03 02:07:43 UTC) #27
mthiesse
lgtm https://codereview.chromium.org/2849713003/diff/100001/chrome/browser/android/vr_shell/textures/insecure_content_permanent_texture.cc File chrome/browser/android/vr_shell/textures/insecure_content_permanent_texture.cc (right): https://codereview.chromium.org/2849713003/diff/100001/chrome/browser/android/vr_shell/textures/insecure_content_permanent_texture.cc#newcode8 chrome/browser/android/vr_shell/textures/insecure_content_permanent_texture.cc:8: #include "components/strings/grit/components_strings.h" I think you need to make ...
2 years ago (2017-05-03 02:27:43 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2849713003/160001
2 years ago (2017-05-03 23:09:05 UTC) #49
commit-bot: I haz the power
2 years ago (2017-05-03 23:15:45 UTC) #52
Message was sent while issue was closed.
Committed patchset #9 (id:160001) as
https://chromium.googlesource.com/chromium/src/+/fc1d5e5df6ef53ecc87135178352...

Powered by Google App Engine
This is Rietveld 408576698